import 'package:senior_design_tokens/senior_design_tokens.dart';

import '../../../components.dart';

const calendarLightTheme = const SeniorCalendarThemeData(
  style: SeniorCalendarStyle(
    activeHeaderButtonIconColor: SeniorColors.grayscale90,
    backgroundColor: SeniorColors.pureWhite,
    dayColor: SeniorColors.grayscale80,
    bottomTextColor: SeniorColors.grayscale90,
    headerButtonBorderColor: SeniorColors.grayscale40,
    headerTextColor: SeniorColors.grayscale90,
    inactiveHeaderButtonIconColor: SeniorColors.grayscale40,
    nextMonthDaysBackgroundColor: SeniorColors.grayscale10,
    nextMonthDaysColor: SeniorColors.grayscale50,
    previousMonthDaysBackgroundColor: SeniorColors.grayscale10,
    previousMonthDaysColor: SeniorColors.grayscale50,
    selectedDayBackgroundColor: SeniorColors.primaryColor100,
    selectedDayColor: SeniorColors.grayscale80,
    todayBackgroundColor: SeniorColors.grayscale20,
    todayColor: SeniorColors.grayscale80,
    topLineColor: SeniorColors.grayscale30,
    topTextColor: SeniorColors.grayscale70,
    weekDaysColor: SeniorColors.grayscale70,
    colorCircleDefaultMarkedDay: SeniorColors.manchesterColorGreen500,
    colorSquareDefaultMarkedDay: SeniorColors.manchesterColorRed500,
    colorTriangleDefaultMarkedDay: SeniorColors.manchesterColorYellow500,
    colorTriangleDownDefaultMarkedDay: SeniorColors.manchesterColorBlue500,
    colorGestureBottom: SeniorColors.grayscale20,
    colorRangeHighlightBackground: SeniorColors.grayscale10,
    colorDaysRangeHighlight: SeniorColors.grayscale50,
  ),
);
