import 'package:senior_design_tokens/senior_design_tokens.dart';

import '../../senior_dropdown_button.dart';

const dropdownButtonLightTheme = const SeniorDropdownButtonThemeData(
  style: SeniorDropdownButtonStyle(
    buttonColor: SeniorColors.grayscale5,
    disabledButtonColor: SeniorColors.grayscale5,
    disabledHelperColor: SeniorColors.grayscale40,
    disabledDropIconColor: SeniorColors.grayscale40,
    disabledIconColor: SeniorColors.grayscale40,
    disabledLabelColor: SeniorColors.grayscale40,
    disabledSelectedItemTextColor: SeniorColors.grayscale40,
    disabledUnderlineColor: SeniorColors.grayscale40,
    dropIconColor: SeniorColors.grayscale90,
    errorColor: SeniorColors.manchesterColorRed,
    iconColor: SeniorColors.grayscale90,
    itemListTextColor: SeniorColors.grayscale80,
    labelColorEmpty: SeniorColors.grayscale90,
    labelColorFilled: SeniorColors.primaryColor,
    helperColor: SeniorColors.grayscale70,
    popupMenuColor: SeniorColors.grayscale5,
    selectedItemTextColor: SeniorColors.grayscale50,
    underlineColor: SeniorColors.grayscale40,
  ),
);
