import 'package:senior_design_tokens/senior_design_tokens.dart';

import '../../senior_text_field_style.dart';
import '../../senior_text_field_theme.dart';

const textFieldDarkTheme = SeniorTextFieldThemeData(
  style: SeniorTextFieldStyle(
    borderColor: SeniorColors.grayscale30,
    counterColor: SeniorColors.grayscale10,
    errorColor: SeniorColors.manchesterColorRed300,
    fillColor: SeniorColors.grayscale70,
    focusColor: SeniorColors.primaryColor400,
    hintTextColor: SeniorColors.grayscale50,
    iconColor: SeniorColors.grayscale10,
    textColor: SeniorColors.grayscale10,
    helperTextColor: SeniorColors.grayscale50,
  ),
);
